using System; 
using System.Collections.Generic; 
using Server.Items; 

namespace Server.Mobiles 
{ 
	public class SBHerbalist : SBInfo 
	{ 
		private List<GenericBuyInfo> m_BuyInfo = new InternalBuyInfo(); 
		private IShopSellInfo m_SellInfo = new InternalSellInfo(); 

		public SBHerbalist() 
		{ 
		} 

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } } 
		public override List<GenericBuyInfo> BuyInfo { get { return m_BuyInfo; } } 

		public class InternalBuyInfo : List<GenericBuyInfo> 
		{ 
			public InternalBuyInfo() 
			{ 
				Add( new GenericBuyInfo( typeof( Ginseng ), 3, 20, 0xF85, 0 ) ); 
				Add( new GenericBuyInfo( typeof( Garlic ), 3, 20, 0xF84, 0 ) ); 
				Add( new GenericBuyInfo( typeof( MandrakeRoot ), 3, 20, 0xF86, 0 ) ); 
				Add( new GenericBuyInfo( typeof( Nightshade ), 3, 20, 0xF88, 0 ) ); 
				Add( new GenericBuyInfo( typeof( Bloodmoss ), 5, 20, 0xF7B, 0 ) ); 
				Add( new GenericBuyInfo( typeof( MortarPestle ), 8, 20, 0xE9B, 0 ) );
				Add( new GenericBuyInfo( typeof( Bottle ), 5, 20, 0xF0E, 0 ) ); 
				Add( new GenericBuyInfo( typeof( HousePlantA ), 528, 5, 0x18B8, 0 ) ); 
				Add( new GenericBuyInfo( typeof( HousePlantB ), 528, 5, 0x18B9, 0 ) ); 
				Add( new GenericBuyInfo( typeof( HousePlantC ), 528, 5, 0x18BA, 0 ) ); 
				Add( new GenericBuyInfo( typeof( HousePlantD ), 528, 5, 0x18BB, 0 ) ); 
				Add( new GenericBuyInfo( typeof( HousePlantE ), 528, 5, 0x18BC, 0 ) ); 
				Add( new GenericBuyInfo( typeof( HousePlantF ), 528, 5, 0x18BD, 0 ) ); 
				Add( new GenericBuyInfo( typeof( HousePlantG ), 528, 5, 0x18BE, 0 ) ); 
				Add( new GenericBuyInfo( typeof( HousePlantH ), 528, 5, 0x18BF, 0 ) ); 
				Add( new GenericBuyInfo( typeof( HousePlantI ), 528, 5, 0x18C0, 0 ) ); 
				Add( new GenericBuyInfo( typeof( HousePlantJ ), 528, 5, 0x18C1, 0 ) ); 
				Add( new GenericBuyInfo( typeof( HousePlantK ), 528, 5, 0x18C2, 0 ) ); 
				Add( new GenericBuyInfo( typeof( HousePlantL ), 528, 5, 0x18C3, 0 ) ); 
				Add( new GenericBuyInfo( typeof( HousePlantM ), 528, 5, 0x18C4, 0 ) ); 
				Add( new GenericBuyInfo( typeof( HousePlantN ), 528, 5, 0x18C5, 0 ) ); 
				Add( new GenericBuyInfo( typeof( HousePlantO ), 528, 5, 0x18C6, 0 ) ); 
				Add( new GenericBuyInfo( typeof( HousePlantP ), 528, 5, 0x18C7, 0 ) ); 
			} 
		} 

		public class InternalSellInfo : GenericSellInfo 
		{ 
			public InternalSellInfo() 
			{ 
				Add( typeof( Bloodmoss ), 3 ); 
				Add( typeof( MandrakeRoot ), 2 ); 
				Add( typeof( Garlic ), 2 ); 
				Add( typeof( Ginseng ), 2 ); 
				Add( typeof( Nightshade ), 2 ); 
				Add( typeof( Bottle ), 3 ); 
				Add( typeof( MortarPestle ), 4 ); 
				Add( typeof( HousePlantA ), 264 ); 
				Add( typeof( HousePlantB ), 264 ); 
				Add( typeof( HousePlantC ), 264 ); 
				Add( typeof( HousePlantD ), 264 ); 
				Add( typeof( HousePlantE ), 264 ); 
				Add( typeof( HousePlantF ), 264 ); 
				Add( typeof( HousePlantG ), 264 ); 
				Add( typeof( HousePlantH ), 264 ); 
				Add( typeof( HousePlantI ), 264 ); 
				Add( typeof( HousePlantJ ), 264 ); 
				Add( typeof( HousePlantK ), 264 ); 
				Add( typeof( HousePlantL ), 264 ); 
				Add( typeof( HousePlantM ), 264 ); 
				Add( typeof( HousePlantN ), 264 ); 
				Add( typeof( HousePlantO ), 264 ); 
				Add( typeof( HousePlantP ), 264 ); 
			} 
		} 
	} 
}